from django.db import models
from django.contrib.auth.models import User
from django.utils import timezone

class Profile(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    username = models.CharField(max_length=50)
    fullname = models.TextField()
    country = models.TextField()
    state = models.TextField()
    city = models.TextField()
    allContestRankingGlobal = models.IntegerField()
    allContestRankingCountry = models.IntegerField()
    longRankingGlobal = models.IntegerField()
    longRankingCountry = models.IntegerField()
    shortRankingGlobal = models.IntegerField()
    shortRankingCountry = models.IntegerField()
    ltimeRankingGlobal = models.IntegerField()
    ltimeRankingCountry = models.IntegerField()
    allSchoolRankingGlobal = models.IntegerField()
    allSchoolRankingCountry = models.IntegerField()
    longSchoolRankingGlobal = models.IntegerField()
    longSchoolRankingCountry = models.IntegerField()
    shortSchoolRankingGlobal = models.IntegerField()
    shortSchoolRankingCountry = models.IntegerField()
    ltimeSchoolRankingGlobal = models.IntegerField()
    ltimeSchoolRankingCountry = models.IntegerField()
    allContestRating = models.IntegerField()
    longRating = models.IntegerField()
    shortRating = models.IntegerField()
    lTimeRating = models.IntegerField()
    allSchoolContestRating = models.IntegerField()
    longSchoolRating = models.IntegerField()
    shortSchoolRating = models.IntegerField()
    lTimeSchoolRating = models.IntegerField()
    occupation = models.TextField(null=True)
    organization = models.TextField(null=True)
    access_token = models.TextField(default='NoToken')
    last_login = models.DateTimeField(default=timezone.now)

    def __str__(self):
        return 'Profile : %s' % (self.username)
